Support » Plugin: Complianz | GDPR Cookie Consent » Youtube player changes in size

  • Maartenvveen

    (@maartenvveen)


    Hi guys,

    In Complianz, I finally found a cookie plugin that works! You guys are the best.
    the Wizard/turtorial was very helpful as well.

    There is one thing that confuses me, on activating the plugin it changes the size of my embedded youtube players. Is there any way to fix this? Because while it funtions correctly (blocking the video until consent is given) it doesn’t look as pretty.

    Thanks in advance for your reply.

Viewing 15 replies - 61 through 75 (of 84 total)
  • And a fatal error on article edition :
    Fatal error: Uncaught Error: Call to undefined function wp_set_script_translations() in /home/myserver/www/wordpress/wp-content/plugins/complianz-gdpr-master/src/block.php:65 Stack trace: #0 /home/myserver/www/wordpress/wp-includes/class-wp-hook.php(286): cmplz_editor_assets('') #1 /home/myserver/www/wordpress/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #2 /home/myserver/www/wordpress/wp-includes/plugin.php(453): WP_Hook->do_action(Array) #3 /home/myserver/www/wordpress/wp-content/plugins/gutenberg/lib/client-assets.php(1405): do_action('enqueue_block_e...') #4 /home/myserver/www/wordpress/wp-includes/class-wp-hook.php(286): gutenberg_editor_scripts_and_styles('post.php') #5 /home/myserver/www/wordpress/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #6 /home/myserver/www/wordpress/wp-includes/plugin.php(453): WP_Hook->do_action(Array) #7 /home/myserver/www/wordpress/wp-admin/admin-header.php(97): do_action('admin_enqueue_s...', 'post.php') #8 /home/myserver/www/wordpress/wp-content/plugins in /home/myserver/www/wordpress/wp-content/plugins/complianz-gdpr-master/src/block.php on line 65
    ๐Ÿ™

    On remote server: blocking does not seem to work for video widgets.

    For some themes, the z-index of the notice is too high and hovers over other elements (sticky menu, gallery pop-up …).
    It can be decreased to 99.

    Commits on Apr 12, 2019 tested:
    Placeholder is OK for YouTube.
    Notice z-index is OK.
    count() declaration is OK.

    Native WP video widget is NOT OK.

    On some pages, depends on the theme, after clic on Notice, video is OK but page needs to be refresh to be resized.

    Plugin Support Aert Hulsebos

    (@aahulsebos)

    @bonaldi @rogierlankhorst

    We are working on it! Thanks very much, your help is appreciated and we will give you a proper shout out at release.

    2 follow-ups:

    You: On some pages, depends on the theme, after clic on Notice, video is OK but page needs to be refresh to be resized.
    Us: Do you have a specific theme which causes this?

    and the fatal error on ‘article edition’. What do you mean exactly with ‘article edition’?

    Thanks again Regards Aert

    1. Yes custom theme with native WP video widget, full width in header.

    2. I mean that when I active plugin on WordPress 4.9.10 localhost multisite and try to edit an article in admin, I get the fatal error.
    Tested again with last commit and fatal error is still present.

    The fatal error comes with WP 4.x, as you use wp_set_script_translations() introduced only with 5.0.0.
    So you have to add a fallback line 65 > /src/block.php.

    Blocking doesn’t work with stackable-ultimate-gutenberg-blocks video pop-up.

    Plugin Author RogierLankhorst

    (@rogierlankhorst)

    Hi @bonaldi @aahulsebos,

    The Gutenberg features will only load if the function “has_block” exists, and if the Classic Editor is not installed. Is it possible the has_block function exists in this setup?

    I mean there is no Complianz blocking notice for video popup.

    Hey! Are you still alive? ๐Ÿ™‚

    Plugin Support Aert Hulsebos

    (@aahulsebos)

    Hi @bonaldi,

    We are still alive! We are getting ready for the 3.0 release tomorrow. It’s been a busy week ๐Ÿ™‚

    Regards Aert

    Addressed above…

    The fatal error comes with WP 4.x, as you use wp_set_script_translations() introduced only with 5.0.0.
    So you have to add a fallback line 65 > /src/block.php.

    … and not resolved, which makes Complianz unusable with WordPress branchย 4.

    As a reminder, a significant number of webmasters have decided to stay in branch 4 by refusal of Gutenberg: it’s a damage to exclude them from using Complianz…

    Regards.

    Plugin Author RogierLankhorst

    (@rogierlankhorst)

    Hi @bonaldi,

    This line of code is used in the file block.php. This file is conditionally included, if cmplz_uses_gutenberg() returns true.

    This function checks for the function “has_block”. This Gutenberg function is present as of WP 5.0.0.

    If this line causes an error, you must have a “has_block” function in your code somewhere? I’m curious where this has_block function is coming from.

    When a webmaster does not want Gutenberg, I would always recommend to update WordPress and install Classic Editor. This will prevent security issues while maintaining classic editor capabilities.

Viewing 15 replies - 61 through 75 (of 84 total)
  • The topic ‘Youtube player changes in size’ is closed to new replies.